Quassel IRC - Bug #270

A changing buffer state causes buffer view to bring selected buffer item into view
08/12/2008 08:12 AM - TerrorBite

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:
Version: 0.6.2 0S: Any

Description

As soon as any of the entries in the buffer view changes state (i.e. the name of the buffer item changes color), then if the currently
selected buffer item is not in view, the buffer view will jump to bring the currently selected buffer item into view. This is quite annoying
if a buffer state changes while attempting to scroll the buffer view and select another buffer.

Additional information:

A possible fix/workaround could be to save the current scroll position before updating the buffer view, and restoring that position
afterwards.

History

#1 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#2 - 08/03/2010 08:18 AM - TerrorBite
- Version set to 0.6.2

- OS set to Any

This bug has been fixed.

#3 - 08/03/2010 09:02 AM - johu

- Status changed from New to Resolved
